name: vm_service_interface

version: 1.1.0
description: >-
  A library providing an interface to implement the Dart VM service protocol.

repository: https://github.com/dart-lang/sdk/tree/main/pkg/vm_service/packages/vm_service_interface/

environment:
  sdk: ^3.0.0

dependencies:
  vm_service: '>=12.0.0 <15.0.0'

# We use 'any' version constraints here as we get our package versions from
# the dart-lang/sdk repo's DEPS file. Note that this is a special case; the
# best practice for packages is to specify their compatible version ranges.
# See also https://dart.dev/tools/pub/dependencies.
dev_dependencies:
  async: any
  lints: any
  mockito: any
  test: any
